Show / Hide Table of Contents

# Class DynamicMenuItem

##### Inheritance

System.Object
DynamicMenuItem

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: UICatalog

###### Assembly: UICatalog.dll

##### Syntax

    public class DynamicMenuItem

### Constructors

#### DynamicMenuItem()

##### Declaration

    public DynamicMenuItem()

#### DynamicMenuItem(ustring, Boolean)

##### Declaration

    public DynamicMenuItem(ustring title, bool hasSubMenu = false)

##### Parameters

Type | Name | Description
--- | --- | ---
ustring | title |
System.Boolean | hasSubMenu |

#### DynamicMenuItem(ustring, ustring, ustring, Boolean, Boolean, MenuItemCheckStyle, ustring)

##### Declaration

    public DynamicMenuItem(ustring title, ustring help, ustring action, bool isTopLevel, bool hasSubMenu, MenuItemCheckStyle checkStyle = MenuItemCheckStyle.NoCheck, ustring shortcut = null)

##### Parameters

Type | Name | Description
--- | --- | ---
ustring | title |
ustring | help |
ustring | action |
System.Boolean | isTopLevel |
System.Boolean | hasSubMenu |
MenuItemCheckStyle | checkStyle |
ustring | shortcut |

### Fields

#### action

##### Declaration

    public ustring action

##### Field Value

Type | Description
--- | ---
ustring |

#### checkStyle

##### Declaration

    public MenuItemCheckStyle checkStyle

##### Field Value

Type | Description
--- | ---
MenuItemCheckStyle |

#### hasSubMenu

##### Declaration

    public bool hasSubMenu

##### Field Value

Type | Description
--- | ---
System.Boolean |

#### help

##### Declaration

    public ustring help

##### Field Value

Type | Description
--- | ---
ustring |

#### isTopLevel

##### Declaration

    public bool isTopLevel

##### Field Value

Type | Description
--- | ---
System.Boolean |

#### shortcut

##### Declaration

    public ustring shortcut

##### Field Value

Type | Description
--- | ---
ustring |

#### title

##### Declaration

    public ustring title

##### Field Value

Type | Description
--- | ---
ustring |